import React, { useMemo } from 'react';
import PropTypes from 'prop-types';
import '../../styles/ProductList.css';

const ProductRow = ({ className = "", image17, shirts, onClick, propLeft, propTop }) => {
  const productRowStyle = useMemo(() => {
    return {
      left: propLeft,
      top: propTop,
    };
  }, [propLeft, propTop]);

  return (
    <div
      className={`h-88 w-88 m-0 rounded-lg flex flex-col items-start justify-start py-5 px-0 gap-4 text-center text-3xl  border border-gray-300 ${className}`}
      style={productRowStyle}
    >
      <img
        className="w-full h-full object-cover"
        loading="lazy"
        alt={shirts}
        src={image17}
      />
      <div className="w-full flex flex-row items-center justify-content: flex-end; py-0 pr-5 pl-5">
        <div className="leading-9 text-grey-600">
          {shirts}
        </div>
      </div>
     
      {/* Customize Button */}
      <button
        className="customize-button w-full "
        onClick={onClick}
      >
        customize
      </button>
    </div>
  );
};

ProductRow.propTypes = {
  className: PropTypes.string,
  image17: PropTypes.string.isRequired,
  shirts: PropTypes.string.isRequired,
  onClick: PropTypes.func.isRequired,
  propLeft: PropTypes.any,
  propTop: PropTypes.any,
};

export default ProductRow;
